<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 499.1   Patch: 7                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Stats
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminBotsOptions
 * A function to show bot options
 * @author Philipp Louis Esselbach
 */
function AdminBotsOptions()
{
	global $security, $system, $database, $preferences, $html, $words_stats;
	$input_option = ( isset( $_POST[ 'input_option' ] ) ) ? $security -> checknum( $_POST[ 'input_option' ] ) : "" ;
	$input_bots = ( isset( $_POST[ 'editoptions' ] ) ) ? $security -> checknumarray( $_POST[ 'editoptions' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_stats[ 'ERROR' ], $words_stats[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	if( is_array( $input_bots ) )
	{
		$bots_count = count( $input_bots );
		$bots_field = join( ",", $input_bots );
	}
	else
	{
		$bots_count = 0;
		$bots_field = "";
	}
	
	$html -> makeheader( $words_stats[ 'BOTS_OPTIONS' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "stats" );
	$html -> makeformheader( $words_stats[ 'BOTS_OPTIONS' ], "bots", "options", "post" );
	
	if( !$input_option )
	{
		echo $words_stats[ 'THIS_WOULD_DELETE' ] . " " . $bots_count . " " . $words_stats[ '_BOTS' ] . ".<br /><br />";
		
		if( $bots_field )
		{
			echo $words_stats[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassbotsdelete\" /><input type=\"hidden\" name=\"input_bots\" value=\"" . $bots_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'YES' ] . "\"><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'NO' ] . "\">";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_stats[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 1 )
	{
		$year = date( "Y" );
		$query = $database -> dbquery( "SELECT COUNT(statbot_id) FROM " . DB_PREFIX . "esselbach_ct_statsbots WHERE NOT(statbot_year = '" . $year . "')" );
		list( $bots_count ) = $database -> dbrow( $query );
		echo $words_stats[ 'THIS_WOULD_DELETE' ] . " " . $bots_count . " " . $words_stats[ '_BOTS' ] . ".<br /><br />";
		
		if( $bots_count )
		{
			echo $words_stats[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domasslastyearsbotsdelete\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'YES' ] . "\"><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'NO' ] . "\">";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_stats[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 2 )
	{
		$query = $database -> dbquery( "SELECT COUNT(statbot_id) FROM " . DB_PREFIX . "esselbach_ct_statsbots" );
		list( $bots_count ) = $database -> dbrow( $query );
		echo $words_stats[ 'THIS_WOULD_DELETE' ] . " " . $bots_count . " " . $words_stats[ '_BOTS' ] . ".<br /><br />";
		
		if( $bots_count )
		{
			echo $words_stats[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassallbotsdelete\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'YES' ] . "\"><input type=\"submit\" name=\"input_status\" value=\"" . $words_stats[ 'NO' ] . "\">";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_stats[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	
	$html -> makeformfooter();
}
?>